<template>
  <div>
    <nav class="navbar navbar-expand-lg navbar-light bg-info  shadow-sm">
      <router-link :to="{name: 'home' }" class="navbar-brand">Atalian</router-link>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav ml-auto">
          <template v-if="!isLoggedIn">
            <li class="nav-item">
              <router-link :to="{ name: 'login' }" class="nav-link" >Login</router-link>
            </li>
          </template>
          <template v-if="isLoggedIn">
            <li class="nav-item">
              <a class="nav-link"  @click="logout"> Logout</a>
            </li>
          </template>
        </ul>
      </div>
    </nav>
    <main class="pt-4">
      <div class="row">

        <template v-if="isLoggedIn">
          <div class="col-md-2">
            <div class="container-fluid">
              <ul class="nav flex-column">
                <li class="nav-item">
                  <router-link :to="{name: 'data-user', params: { userType: 1, userRole: 'admin'}}" class="nav-link">Data Admin</router-link>
                </li>
                <li class="nav-item">
                  <router-link :to="{name: 'data-user', params: { userType: 2, userRole: 'client'}}" class="nav-link">Data Client</router-link>
                </li>
                <li class="nav-item">
                  <router-link :to="{name: 'data-user', params: { userType: 3, userRole: 'teknisi'}}" class="nav-link">Data Teknisi</router-link>
                </li>
                <li class="nav-item">
                  <router-link :to="{name: 'laporan'}" class="nav-link">Data Laporan</router-link>
                </li>
                <li class="nav-item">
                  <router-link :to="{name: 'profile'}" class="nav-link">Profile</router-link>
                </li>
              </ul>
            </div>
          </div>
        </template>

        <div class="col-md">
          <router-view @setData="getData"></router-view>
        </div>

      </div>
    </main>
  </div>
</template>
<script>
  export default {
    data(){
        return { 
         user: null,
         isLoggedIn: null, 
        }
    },
    beforeMount() {
      this.getData()   
    }, 
    methods : {  
      getData(){  
          this.isLoggedIn = localStorage.getItem('jwt') !== null; 
          this.user = JSON.parse(localStorage.getItem('user')) 
      },
      logout(){
          localStorage.removeItem('jwt')
          localStorage.removeItem('user')
          this.getData()  
          this.$router.push('/login')
      }
    }
  }
</script>